%global pypi_name pytest-fixture-config

Name:           python-%{pypi_name}
Version:        1.8.0
Release:        %mkrel 2
Summary:        Simple configuration objects for Py.test fixtures
Group:          Development/Python
License:        MIT
URL:            https://pypi.python.org/pypi/pytest-fixture-config
Source0:        %{pypi_source}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
BuildRequires:  python3-six

%description
Simple configuration objects for Py.test fixtures.
Allows you to skip tests when their required config variables aren't set.

%package -n python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Simple configuration objects for Py.test fixtures.
Allows you to skip tests when their required config variables aren't set.

%prep
%autosetup -n %{pypi_name}-%{version}

# This is not needed when building from the sdist
sed -i -e '/setuptools-git/d' common_setup.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_fixture_config

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md CHANGES.md


%changelog
* Sun Mar 02 2025 wally <wally> 1.8.0-2.mga10
+ Revision: 2158488
- rebuild for python3.13

* Thu Dec 26 2024 papoteur <papoteur> 1.8.0-1.mga10
+ Revision: 2130336
- new version 1.8.0

* Fri Dec 08 2023 wally <wally> 1.7.0-5.mga10
+ Revision: 2015723
- rebuild for py3.12

* Sat Mar 26 2022 umeabot <umeabot> 1.7.0-4.mga9
+ Revision: 1828466
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 mrambo3501 <mrambo3501> 1.7.0-3.mga9
+ Revision: 1775821
- rebuild for python-3.10

* Tue Mar 23 2021 guillomovitch <guillomovitch> 1.7.0-2.mga9
+ Revision: 1708453
- rebuild for python 3.9

* Thu Mar 11 2021 guillomovitch <guillomovitch> 1.7.0-1.mga9
+ Revision: 1701614
- imported package python-pytest-fixture-config

